;====================================================================;
;       test score for DX7 alg 16 orc                                ;
;                                                                    ;
;       (imitates the GONG    1  voice...sort of)                    ;
;                                                                    ;
;       DX72Csound by Jeff Harrington  idealord@dorsai.org           ;
;       After Models by Russell Pinkston                             ;
;  Thanks to T. Suzuki of Yamaha Corp. for the DX7 frequency tables  ;
;====================================================================;
f01     0       512     10      1
; operator fpoutput level to amp scale function (data from Chowning/Bristow)
f02     0       128     7       0       10      .003    10      .013
        10      .031    10      .079    10      .188    10      .446
        5       .690    5       1.068   5       1.639   5       2.512
        5       3.894   5       6.029   5       9.263   4       13.119
        29      13.119
; rate scaling function
f03     0       128     7       0       128     1
; eg rate rise function for lvl change between 0 and 99 (data from Opcode)
f04     0       128     -7      38      5       22.8    5       12      5
        7.5     5       4.8     5       2.7     5       1.8     5       1.3
        8       .737    3       .615    3       .505    3       .409    3
        .321    6       .080    6       .055    2       .032    3       .024
        3       .018    3       .014    3       .011    3       .008    3
        .008    3       .007    3       .005    3       .003    32      .003
; eg rate rise percentage function
f05     0       128     -7      .00001  31      .00001  4       .02     5
        .06     10      .14     10      .24     10      .35     10      .50
        10      .70     5       .86     4       1.0     29      1.0
; eg rate decay function for lvl change between 0 and 99
f06     0       128     -7      318     4       181     5       115     5
        63      5       39.7    5       20      5       11.2    5       7
        8       5.66    3       3.98    6       1.99    3       1.34    3
        .99     3       .71     5       .41     3       .15     3       .081
        3       .068    3       .047    3       .037    3       .025    3
        .02     3       .013    3       .008    36      .008
; eg rate decay percentage function
f07     0       128     -7      .00001  10      .25     10      .35     10
        .43     10      .52     10      .59     10      .70     10      .77
        10      .84     10      .92     9       1.0     29      1.0
; eg level to peak deviation mapping function (index in radians = Index / 2PI)
f08     0       128     -7      0       10      .000477 10      .002
        10      .00493  10      .01257  10      .02992  10      .07098
        5       .10981  5       .16997  5       .260855 5       .39979
        5       .61974  5       .95954  5       1.47425 4       2.08795
        29      2.08795
; velocity to amp factor mapping function (rough guess)
f09     0       129     9       .25     1       0
; velocity sensitivity scaling function
f10     0       8       -7      0       8       1
; feedback scaling function
f11     0       8       -7      0       8       7
f12   0    32    -2    99    1   86   26   20   31   
        99   95   41   0   
        0   0   0.500000   0   
        0   
f13   0    32    -2    72    2   86   26   20   30   
        99   95   41   0   
        0   0   0.800000   0   
        0   
f14   0    32    -2    74    1   18   30   15   39   
        87   87   0   0   
        0   0   0.745000   0   
        0   
f15   0    32    -2    84    2   18   30   15   22   
        95   87   0   0   
        0   0   3.000000   0   
        0   
f16   0    32    -2    82    7   18   30   15   18   
        95   87   0   0   
        0   0   1.400000   0   
        0   
f17   0    32    -2    36    2   23   25   7   14   
        86   96   0   0   
        0   0   1.200000   0   
        0   

f18 0 8192 10 1      ; Sine wave for delay line modulation
f19 0 16384 9 .5 -1 0    ; Inverted half-sine for phaser modulation

t 0 20
i 1.1     0    10  8.00    89 0 89 0 35 12 13 14 15 16 17 2 4000 3 8 4 6 10 9 11 5
i 1.2     1.5  10  8.07    94 
i 1.3     5    10  9.00    92 
i 1.4     6.5  10  8.05    89 
i 1.5     13   10  8.00    87 
i 1.6     14.5 10  8.07    96
i 1.7     18   10  9.00    92 
i 1.8     19.5 10  8.05    89 
i 1.9     26   10  8.00    92 
i 1.11    27.5 10  8.07    89 
i 1.12    31   10  9.00    92 
i 1.13    32.5 10  8.05    89 
i 1.14    39   10  8.00    92 
i 1.15    40.5 10  8.07    89 
i 1.12    44   10  9.00    92 
i 1.13    45.5 10  8.05    89 
i 1.14    52   10  8.00    92 
i 1.15    53.5 10  8.07    89 


i 1.31    7.5   10  8.301   44
i 1.32    14.5  10  8.401   44
i 1.33    21.5  10  8.301   44
i 1.34    28.5  10  8.401   44
i 1.35    35.5  10  8.301   44
i 1.36    42.5  10  8.401   44
i 1.36    49.5  10  8.301   44


i 1.21     3    10  8.101  44
i 1.22     6    10  8.102  52
i 1.23     9    10  8.103  50 
i 1.24     12   10  8.104  52 
i 1.25     15   10  8.105  46 
i 1.26     18   10  8.106  52
i 1.27     21   10  8.101  44
i 1.28     24   10  8.102  52
i 1.29     27   10  8.103  50 
i 1.30     30   10  8.104  52 
i 1.31     33   10  8.105  46 
i 1.32     36   10  8.106  52
i 1.33     39   10  8.101  44
i 1.34     42   10  8.102  52
i 1.35     45   10  8.103  50 
i 1.36     48   10  8.104  52 
i 1.37     51   10  8.105  46 
i 1.38     54   10  8.106  52
i 1.39     57   10  8.106  52
i 1.40     60   10  8.106  52
                
i98 0   70    .6
i99 0   70    .98   .8    20000
f0      70                          
e
